Skip to content

SFS Plans

GET
/api/v1/efs/plans/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/efs/plans/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response with storage options data

Media typeapplication/json
object
code
integer
data
Array<object>
object
name
string
bs_size
number format: float
price_per_hour
number format: float
price_per_month
number
location
string
iops
integer
is_active
boolean
currency
string
available_inventory_status
boolean
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"name": "250 GB",
"bs_size": 0.25,
"price_per_hour": 4.175,
"price_per_month": 3000,
"location": "Delhi",
"iops": 3750,
"is_active": true,
"currency": "INR",
"available_inventory_status": true
}
],
"errors": {},
"message": "Success"
}